20934542 pyyaml is missing a runtime and an unversioned dependency s11-update
authordavid.comay@oracle.com
Wed, 29 Apr 2015 09:51:09 -0700
branchs11-update
changeset 4221 691b0959b959
parent 4220 86c0ad4a33d5
child 4222 0ece434f38d9
20934542 pyyaml is missing a runtime and an unversioned dependency
components/python/pyyaml/pyyaml-PYVER.p5m
--- a/components/python/pyyaml/pyyaml-PYVER.p5m	Wed Apr 29 09:50:52 2015 -0700
+++ b/components/python/pyyaml/pyyaml-PYVER.p5m	Wed Apr 29 09:51:09 2015 -0700
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2014, 2015, Oracle and/or its affiliates. All rights reserved.
 #
+
 set name=pkg.fmri \
     value=pkg:/library/python/pyyaml-$(PYV)@$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
 set name=pkg.summary value="a YAML parser and emitter for the Python language"
@@ -57,7 +58,15 @@
 file path=usr/lib/python$(PYVER)/vendor-packages/yaml/tokens.py
 #
 license LICENSE license=MIT
-#
+
 # force the rename with an optional dependency on the old name
 $(PYTHON_2.6_ONLY)depend type=optional \
     fmri=library/python-2/pyyaml-$(PYV)@3.9,5.11-0.175.3.0.0.18.0
+
+# force a dependency on the Python runtime
+depend type=require fmri=__TBD pkg.debug.depend.file=python$(PYVER) \
+    pkg.debug.depend.path=usr/bin
+
+# force a dependency on the pyyaml package
+depend type=require \
+    fmri=library/python/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)